# scale {get;set}

```lua
return function()
    local user = getUser('clonzeh');
    if user == nil then
        log('user does not exist!');
        return;
    end
    
    user.scale = 2; --the same as runCommand('!scale ' .. user.id .. ' 2 60');
    
    local getScaleValue = user.scale; 
    log(getScaleValue); --prints 2

    --note this only refers to command_scale!
    
    --state_scale is set by a state the avatar is running
    --global_scale is set by the scale slider in quickaccess for all avatars
    --command_scale is set by the command_scale!

    --there is a 4th scale parameter which overrides all of these when set.
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/user/scale-get-set.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
